/* drop procedure GetCust; */
set term ^;
create procedure GetCust(custRef integer)
returns (
	custid integer,
	surname varchar(30),
	forename varchar(30),
	phone varchar(20),
	address1 varchar(30),
	address2 varchar(30),
	town varchar(30),
	county varchar(25),
	postcode varchar(9)
)
as
begin
	select c.custid, c.surname, c.forename, c.phone, a.address1, a.address2, a.town, a.county, a.postcode
	from customer c, address a
	where c.custid = :custRef
	and c.addressid = a.addressid
	into :custid, :surname, :forename, :phone, :address1, :address2, :town, :county, :postcode;
	suspend;
end
^
set term ;^
grant execute on procedure GetCust to user1;
commit;
